Imports EgtWPFLib5
Public Class ImportExportMachiningWindowWD

   Private m_MainWindow As MainWindow = DirectCast(Application.Current.MainWindow, MainWindow)

   Private WithEvents m_ImportExportMachiningWindowVM As ImportExportMachiningWindowVM

   Private m_OkResult As Boolean = False
   Public ReadOnly Property OkResult As Boolean
      Get
         Return m_OkResult
      End Get
   End Property

   Sub New(Owner As Window, ImportExportToolWindowVM As ImportExportMachiningWindowVM)
      Me.Owner = Owner
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = ImportExportToolWindowVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_ImportExportMachiningWindowVM = ImportExportToolWindowVM
   End Sub
   Private Sub OkCloseDialogWD() Handles OkBtn.Click
      m_OkResult = True
      Me.Close()
   End Sub

   Private Sub CancelCloseDialogWD() Handles ExitBtn.Click
      m_OkResult = False
      Me.Close()
   End Sub

End Class
